> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavebybemobi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create holder



## OpenAPI

````yaml POST /holders
openapi: 3.1.0
info:
  title: Wave Lines API
  version: 1.0.0
servers: []
security:
  - client_id: []
    secret_key: []
tags:
  - name: lines
    description: Line lifecycle operations
  - name: payments
    description: Payment listing and lookup
  - name: tax-receipts
    description: Tax receipt listing, lookup and document download
  - name: subscriptions
    description: Subscription lookup, product management and invoices
  - name: holders
    description: Holder (customer) listing, lookup and creation
  - name: usage
    description: 'Usage: per-product line balance and consumption'
  - name: Portability
    description: >-
      Number portability: port-in request creation, listing, modification and
      cancellation, plus the consolidated portability status
  - name: Inventory
    description: >-
      Inventory resource pools: pool listing, the resources held in a pool and
      resource reservations
  - name: Catalog
    description: Catalog offers exposed by the Wave Catalog API
paths:
  /holders:
    post:
      tags:
        - holders
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 2
                  maxLength: 256
                federalTaxId:
                  type: string
                address:
                  type: object
                  properties:
                    street:
                      type: string
                      minLength: 3
                    streetNumber:
                      type: string
                    zipcode:
                      type: string
                      pattern: ^\d{8}$
                    neighborhood:
                      type: string
                      minLength: 2
                    cityId:
                      type: string
                    stateId:
                      type: string
                      enum:
                        - RO
                        - AC
                        - AM
                        - RR
                        - PA
                        - AP
                        - TO
                        - MA
                        - PI
                        - CE
                        - RN
                        - PB
                        - PE
                        - AL
                        - SE
                        - BA
                        - MG
                        - ES
                        - RJ
                        - SP
                        - PR
                        - SC
                        - RS
                        - MS
                        - MT
                        - GO
                        - DF
                    countryId:
                      type: string
                      enum:
                        - BRA
                    complement:
                      type: string
                  required:
                    - street
                    - streetNumber
                    - zipcode
                    - neighborhood
                    - cityId
                    - stateId
                    - countryId
                  additionalProperties: false
                contact:
                  type: object
                  properties:
                    email:
                      type: string
                      format: email
                    phone:
                      type: object
                      properties:
                        countryCode:
                          type: string
                          minLength: 1
                          maxLength: 3
                          pattern: ^\d+$
                        areaCode:
                          type: string
                          enum:
                            - '11'
                            - '12'
                            - '13'
                            - '14'
                            - '15'
                            - '16'
                            - '17'
                            - '18'
                            - '19'
                            - '21'
                            - '22'
                            - '24'
                            - '27'
                            - '28'
                            - '31'
                            - '32'
                            - '33'
                            - '34'
                            - '35'
                            - '37'
                            - '38'
                            - '41'
                            - '42'
                            - '43'
                            - '44'
                            - '45'
                            - '46'
                            - '47'
                            - '48'
                            - '49'
                            - '51'
                            - '53'
                            - '54'
                            - '55'
                            - '61'
                            - '62'
                            - '63'
                            - '64'
                            - '65'
                            - '66'
                            - '67'
                            - '68'
                            - '69'
                            - '71'
                            - '73'
                            - '74'
                            - '75'
                            - '77'
                            - '79'
                            - '81'
                            - '82'
                            - '83'
                            - '84'
                            - '85'
                            - '86'
                            - '87'
                            - '88'
                            - '89'
                            - '91'
                            - '92'
                            - '93'
                            - '94'
                            - '95'
                            - '96'
                            - '97'
                            - '98'
                            - '99'
                        phoneNumber:
                          type: string
                          minLength: 8
                          maxLength: 9
                          pattern: ^\d+$
                      required:
                        - countryCode
                        - areaCode
                        - phoneNumber
                      additionalProperties: false
                  required:
                    - phone
                  additionalProperties: false
                modules:
                  type: object
                  properties:
                    tax:
                      type: object
                      properties:
                        icmsTaxPayer:
                          type: boolean
                        communicationServiceCustomerCategory:
                          type: string
                          enum:
                            - '01'
                            - '02'
                            - '03'
                            - '04'
                            - '05'
                            - '06'
                            - '07'
                            - '08'
                            - '99'
                        isGovernmentEntity:
                          type: boolean
                      additionalProperties: false
                    billing:
                      type: object
                      properties:
                        brokerId:
                          type: string
                      additionalProperties: false
                  additionalProperties: false
                cityTaxIds:
                  type: array
                  items:
                    type: object
                    properties:
                      taxId:
                        type: string
                        pattern: ^\d+$
                      cityId:
                        type: string
                        minLength: 7
                        maxLength: 7
                        pattern: ^\d+$
                    required:
                      - taxId
                      - cityId
                    additionalProperties: false
                stateTaxIds:
                  type: array
                  items:
                    type: object
                    properties:
                      taxId:
                        type: string
                        minLength: 8
                        maxLength: 14
                        pattern: ^\d+$
                      stateId:
                        type: string
                        pattern: ^[A-Z0-9]{1,3}$
                      city:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                            minLength: 1
                            maxLength: 256
                        required:
                          - id
                          - name
                        additionalProperties: false
                    required:
                      - taxId
                      - stateId
                    additionalProperties: false
                externalCode:
                  type: string
                  maxLength: 256
                brokerId:
                  type: string
                  format: uuid
                exempted:
                  type: boolean
              required:
                - name
                - federalTaxId
                - address
                - contact
              additionalProperties: false
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  federalTaxId:
                    type: string
                  contact:
                    type: object
                    properties:
                      phone:
                        type: object
                        properties:
                          countryCode:
                            type: string
                          areaCode:
                            type: string
                          phoneNumber:
                            type: string
                        required:
                          - countryCode
                          - areaCode
                          - phoneNumber
                        additionalProperties: false
                      email:
                        type: string
                    required:
                      - phone
                    additionalProperties: false
                  address:
                    type: object
                    properties:
                      street:
                        type: string
                      number:
                        type: string
                      complement:
                        type: string
                      neighborhood:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      zipCode:
                        type: string
                      country:
                        type: string
                    required:
                      - street
                      - number
                      - neighborhood
                      - city
                      - state
                      - zipCode
                      - country
                    additionalProperties: false
                  modules:
                    type: object
                    properties:
                      tax:
                        type: object
                        properties:
                          icmsTaxPayer:
                            type: boolean
                          communicationServiceCustomerCategory:
                            type: string
                          isGovernmentEntity:
                            type: boolean
                        additionalProperties: false
                      billing:
                        type: object
                        properties:
                          brokerId:
                            type: string
                        additionalProperties: false
                    additionalProperties: false
                  externalCode:
                    type: string
                  brokerId:
                    type: string
                  exempted:
                    type: boolean
                  createdAt:
                    type: string
                required:
                  - id
                  - name
                  - federalTaxId
                  - contact
                  - address
                  - exempted
                  - createdAt
                additionalProperties: false
components:
  securitySchemes:
    client_id:
      type: apiKey
      in: header
      name: client_id
    secret_key:
      type: apiKey
      in: header
      name: secret_key

````